Module java.desktop
Package java.awt

# Interface CompositeContext

public interface CompositeContext
The `CompositeContext` interface defines the encapsulated and optimized environment for a compositing operation. `CompositeContext` objects maintain state for compositing operations. In a multi-threaded environment, several contexts can exist simultaneously for a single `Composite` object.

See Also:
  `Composite`

## Method Summary

Modifier and Type
Method
Description
`void`
`compose​(Raster src, Raster dstIn, WritableRaster dstOut)`
Composes the two source `Raster` objects and places the result in the destination `WritableRaster`.
`void`
`dispose()`
Releases resources allocated for a context.

## Method Details

### dispose

void dispose()
Releases resources allocated for a context.

### compose

void compose​(Raster src, Raster dstIn, WritableRaster dstOut)
Composes the two source `Raster` objects and places the result in the destination `WritableRaster`. Note that the destination can be the same object as either the first or second source. Note that `dstIn` and `dstOut` must be compatible with the `dstColorModel` passed to the `createContext` method of the `Composite` interface.

Parameters:
  `src` - the first source for the compositing operation
  `dstIn` - the second source for the compositing operation
  `dstOut` - the `WritableRaster` into which the result of the operation is stored
See Also:
  `Composite`